libgtk-vnc1.0-devel-0.9.0-3.mga7.i586.rpm


Advertisement

Description

libgtk-vnc1.0-devel - A VNC viewer widget for GTK

Property Value
Distribution Mageia Cauldron
Repository Mageia Core i586
Package filename libgtk-vnc1.0-devel-0.9.0-3.mga7.i586.rpm
Package name libgtk-vnc1.0-devel
Package version 0.9.0
Package release 3.mga7
Package architecture i586
Package type rpm
Category Development/C
Homepage http://gtk-vnc.sourceforge.net/
License LGPLv2+
Maintainer -
Download size 50.11 KB
Installed size 175.93 KB
gtk-vnc is a VNC viewer widget for GTK. It is built using
coroutines allowing it to be completely asynchronous while
remaining single threaded. It provides a core C library, and
bindings for Python (PyGTK)

Alternatives

Package Version Architecture Repository
libgtk-vnc1.0-devel - - -

Requires

Name Value
devel(libX11) -
devel(libcairo) -
devel(libgdk-x11-2.0) -
devel(libgdk_pixbuf-2.0) -
devel(libglib-2.0) -
devel(libgobject-2.0) -
devel(libgtk-x11-2.0) -
devel(libgvnc-1.0) -
libgtk-vnc1.0_0 == 0.9.0-3.mga7
libgtkvnc-gir1.0 == 0.9.0-3.mga7
pkgconfig -
pkgconfig(gtk+-2.0) >= 2.18.0
pkgconfig(gvnc-1.0) == 0.9.0

Provides

Name Value
devel(libgtk-vnc-1.0) -
libgtk-vnc-devel == 0.9.0-3.mga7
libgtk-vnc1.0-devel == 0.9.0-3.mga7
libgtk-vnc1.0-devel(x86-32) == 0.9.0-3.mga7
pkgconfig(gtk-vnc-1.0) == 0.9.0

Download

Type URL
Mirror distrib-coffee.ipsl.jussieu.fr
Binary Package libgtk-vnc1.0-devel-0.9.0-3.mga7.i586.rpm
Source Package gtk-vnc-0.9.0-3.mga7.src.rpm

Install Howto

  1. Enable Mageia Core repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install libgtk-vnc1.0-devel rpm package:
    # urpmi libgtk-vnc1.0-devel

Files

Path
/usr/include/gtk-vnc-1.0/gtk-vnc.h
/usr/include/gtk-vnc-1.0/vncdisplay.h
/usr/include/gtk-vnc-1.0/vncdisplayenums.h
/usr/include/gtk-vnc-1.0/vncgrabsequence.h
/usr/include/gtk-vnc-1.0/vncimageframebuffer.h
/usr/lib/libgtk-vnc-1.0.so
/usr/lib/pkgconfig/gtk-vnc-1.0.pc
/usr/share/doc/libgtk-vnc1.0-devel/ChangeLog
/usr/share/gir-1.0/GtkVnc-1.0.gir

Changelog

2018-09-04 - tv <tv> 0.9.0-3.mga7
(not released yet)
+ Revision: 1257142
- Fix gvnc-1.0.pc file version dep
2018-08-28 - tv <tv> 0.9.0-2.mga7
+ Revision: 1255261
- Fix crash if connection fails early (rhbz#1620203)
2018-08-19 - tv <tv> 0.9.0-1.mga7
+ Revision: 1252839
- new release
2018-08-02 - daviddavid <daviddavid> 0.8.0-1.mga7
+ Revision: 1246807
- new version: 0.8.0
- deleted the python2 binding in favour of GObject introspection (upstream)
2018-05-09 - tv <tv> 0.7.2-2.mga7
+ Revision: 1227863
- rename python-gtk-vnc as python2-gtk-vnc
2018-03-29 - tv <tv> 0.7.2-1.mga7
+ Revision: 1213396
- BR pulseaudio-devel & uncomment gvncpulse
- new release
2017-02-10 - mrambo3501 <mrambo3501> 0.6.0-3.mga6
+ Revision: 1085640
- Add upstream patches which fix CVE-2017-5884 and CVE-2017-5885
Add patch to fix the connection test code based upon upstream code
- Add upstream patches which fix CVE-2017-5884 and CVE-2017-5885
Add patch to fix the connection test code based upon upstream code
2016-09-26 - tv <tv> 0.6.0-2.mga6
+ Revision: 1056886
- rebuild with fixed rpm-mageia-setup for missing generating typelib() requires (mga#19454)
2016-09-18 - ovitters <ovitters> 0.6.0-1.mga6
+ Revision: 1053842
- new version 0.6.0
2016-01-11 - luigiwalser <luigiwalser> 0.5.4-5.mga6
+ Revision: 921915
- add patch to fix python linking error
- rebuild for gnutls

See Also

Package Description
libgtk-vnc1.0_0-0.9.0-3.mga7.i586.rpm A VNC viewer widget for GTK
libgtk-vnc2.0-devel-0.9.0-3.mga7.i586.rpm Headers and development library for gtk3-vnc
libgtk-vnc2.0_0-0.9.0-3.mga7.i586.rpm A VNC viewer widget for GTK3
libgtk2-clearlooks-engine-2.20.2-10.mga7.i586.rpm The Clearlooks engine for GTK2
libgtk2-hc-engine-2.20.2-10.mga7.i586.rpm The High Contrast engine for GTK2
libgtk2-murrine-engine-0.98.2-10.mga7.i586.rpm Murrine GTK2 cairo theme
libgtk2-theme-engines-2.20.2-10.mga7.i586.rpm Library files for gtk2-theme-engines
libgtkdatabox-devel-0.9.3.0-1.mga7.i586.rpm Development files for gtkdatabox
libgtkdatabox0.9.3_0-0.9.3.0-1.mga7.i586.rpm A Gtk+-Widget for Fast Data Display
libgtkextra-x11-devel-3.3.4-2.mga7.i586.rpm Development files for gtkextra
libgtkextra-x11_3.0_8-3.3.4-2.mga7.i586.rpm A library of gtk+ widgets
libgtkgl-devel-2.1.0-2.mga7.i586.rpm Includes and static libs
libgtkgl2.0_1-2.1.0-2.mga7.i586.rpm OpenGL widget for GTK+ GUI toolkit
libgtkglext-1.0_0-1.2.0-24.mga7.i586.rpm OpenGL extension to GTK 2.0 or later
libgtkglext-devel-1.2.0-24.mga7.i586.rpm OpenGL extension to GTK 2.0 or later
Advertisement
Advertisement